<?php
/**
 * Bio Green Farm: Block Patterns
 *
 * @since Bio Green Farm 1.0
 */

function bio_green_farm_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'bio-green-farm' => array( 'label' => __( 'Bio Green Farm', 'bio-green-farm' ) )
	);
	$block_pattern_categories = apply_filters( 'bio_green_farm_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'bio_green_farm_register_block_patterns', 9 );